# Key Terminologies

## CAMPAIGN

Is a set of tasks that the AI or a protocol needs to get done in the real world.&#x20;

{% hint style="success" %}
From taking a photo for AI training to having a musician play at your Valentine’s favorite café—if it’s requested, it's a campaign.
{% endhint %}

## WITNESS

is the proof of task participation or completion. A decentralized network of participants on the InfinityWatch app step in to execute tasks, verify events, and capture observations. They don’t just complete the work; they attest it cryptographically.

## FEED

is the stream of outputs (in this case, photos clicked) originating from the task completion

{% hint style="success" %}
Photos taken through the InfinityWatch's mobile app for the particular campaign
{% endhint %}

## WATCHTOWER

Any device running the InfinityWatch Mobile App ( or even the docker container )


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.witnesschain.com/infinity-watch/apis/campaign-apis/key-terminologies.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
